<?php
//共通
require_once '../../base/common.php';

/**
 * af903x共通カスタム関数
 */

//headerでcucd入力後、店舗数のカウント
 function cntAfm032($dbutil, $data) {
  $logger = new logger(basename(__FILE__));
  $logger->info("===cntAfm032===");

  $ret_array = Array(
    'afm032cnt' => "0"
  );
  $afm032cnt = "0";


  try {
    $whereParams=array();
    $whereParams["cucd"] = $data["cucd"];
    $sql = file_get_contents("./sql/cntAfm032.sql");
  
    $result = $dbutil->select($sql, $whereParams);

    if($result != null) {
      $afm032cnt = $result[0]["cnt"];
    }

  } catch(userException $ue) {
    $dbutil->rollback();
    $assign_var["hasError"] = true;
    $assign_var["errorMsg"] = $ue->getMessage();
  } catch(Exception $e) {
    $dbutil->rollback();
    $assign_var["hasError"] = true;
    $assign_var["errorMsg"] = $e->getMessage();
  }
  
  $ret_array["afm032cnt"] = $afm032cnt;

  return $ret_array;
}

//登録前に銀行コード、銀行支店ｺコードがマスタにあるかチェック
function chkMst($dbutil, $data) {
  $logger = new logger(basename(__FILE__));
  $logger->info("===chkMst===");
  global $stringUtil;

  $ret_array = Array(
    'retBkcd' => true,
    'retBkscd' => true
  );
  $retBkcd = true;
  $retBkscd = true;

  try {
    //銀行コードのチェック
    $whereParams=array();
    $whereParams["bkcd"] = $data["bkcd"];
    $sql = file_get_contents("./sql/chkMstBkcd.sql");
    $result = $dbutil->select($sql, $whereParams);
    if($result == null) {
      $retBkcd=false;
    }

    if( !$stringUtil->isEmpty($data["bkscd"]) ) {
      //銀行支店コードのチェック
      $whereParams["bkscd"] = $data["bkscd"];
      $sql = file_get_contents("./sql/chkMstBkscd.sql");
      $result2 = $dbutil->select($sql, $whereParams);
      if($result2 == null) {
        $retBkscd=false;
      }
    }

  } catch(userException $ue) {
    $dbutil->rollback();
    $ret_array['msg'] = $ue->getErrorMessage(); //エラー
  } catch(Exception $e) {
    $dbutil->rollback();
    $ret_array['msg'] = $ue->getErrorMessage(); //エラー
  }
  
  $ret_array["retBkcd"] = $retBkcd;
  $ret_array["retBkscd"] = $retBkscd;

  return $ret_array;
}

?>
